Commit 0dea913e by William Tisäter

Make pandoc optional

parent 6b726b18
#!/bin/bash #!/bin/bash
function error { function warning { echo "Warning: $1"; }
echo "Error: $1" 1>&2 function error { echo "Error: $1" 1>&2; exit 1; }
exit 1
}
if [ -z $(which pandoc) ]; then if [ -z "$(virtualenv --version)" ]; then
error "Missing pandoc binary"
fi
if [ -z $(which virtualenv) ]; then
error "Missing virtualenv binary" error "Missing virtualenv binary"
fi fi
...@@ -21,5 +15,9 @@ fi ...@@ -21,5 +15,9 @@ fi
venv/bin/tox || error "tox failed" venv/bin/tox || error "tox failed"
venv/bin/epydoc --config=epydoc.ini --no-private || error "epydoc failed" venv/bin/epydoc --config=epydoc.ini --no-private || error "epydoc failed"
pandoc -f markdown -t rst -o README.rst README.md || error "pandoc failed" if [ -z "$(pandoc --version)" ]; then
warning "Skipping Markdown to reStructuredText translation"
else
pandoc -f markdown -t rst -o README.rst README.md || error "pandoc failed"
fi
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment